<?php
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) 
{
	exit;
}
function healomax_stress_assessment_handler() 
{
  // Check the healomaxmath field for a value
  if ( ! empty( $_POST['healomaxmath'] ) ) {
    // The healomaxmath field has a value
    wp_die( 'Sorry, your submission could not be processed.' );
  }
  if (isset($_POST['healomaxhsap_name']) 
  && isset($_POST['healomaxhsap_email']) && 
  wp_verify_nonce( $_POST['healomax_stress_assessment_nonce'], 'healomax_stress_assessment' ))
  {  
    
    $healomaxhsap_name = sanitize_text_field($_POST['healomaxhsap_name']);
    $healomaxhsap_email = sanitize_email($_POST['healomaxhsap_email']);
    $hsapq1 = filter_var($_POST['hsapq1'], FILTER_SANITIZE_NUMBER_INT);
    $hsapq2 = filter_var($_POST['hsapq2'], FILTER_SANITIZE_NUMBER_INT);
    $hsapq3 = filter_var($_POST['hsapq3'], FILTER_SANITIZE_NUMBER_INT);
    $hsapq4 = filter_var($_POST['hsapq4'], FILTER_SANITIZE_NUMBER_INT);
    $hsapq5 = filter_var($_POST['hsapq5'], FILTER_SANITIZE_NUMBER_INT);
    $hsapq6 = filter_var($_POST['hsapq6'], FILTER_SANITIZE_NUMBER_INT);
    $hsapq7 = filter_var($_POST['hsapq7'], FILTER_SANITIZE_NUMBER_INT);
    $hsapq8 = filter_var($_POST['hsapq8'], FILTER_SANITIZE_NUMBER_INT);
    $hsapq9 = filter_var($_POST['hsapq9'], FILTER_SANITIZE_NUMBER_INT);
    $hsapq10 = filter_var($_POST['hsapq10'], FILTER_SANITIZE_NUMBER_INT);
    $hsapstress_level = ($hsapq1 + $hsapq2 + $hsapq3 + $hsapq4 + $hsapq5 + $hsapq6 + $hsapq7 + $hsapq8 + $hsapq9 + $hsapq10) / 5;
    $hsaprecommendation = '';
    if ($hsapstress_level < 4) 
    { $hsaprecommendation = 'Keep up the good work and continue to practice self-care.'; 
      $hsapstress_status = 'LOW';
    }
      else if ($hsapstress_level >= 4 && $hsapstress_level < 8) 
    { $hsaprecommendation = 'It is important to continue to practice self-care';
      $hsaprecommendation2 = 'Seek a professional support if needed. ';
      $hsapstress_status = 'MODERATE';
    } else 
    { $hsaprecommendation = ' Immediately consult a professional. ';
      $hsapstress_status = 'HIGH';
    }
    // here wp mail 
    $hsapcontact_details = get_option( 'healomax_stress_assessment_options' )['hsapcontact_details'];
    $hsapcontact_details1 = get_option( 'healomax_stress_assessment_options' )['hsapcontact_details1'];
    $hsapcontact_details2 = get_option( 'healomax_stress_assessment_options' )['hsapcontact_details2'];

    $hsapservices = get_option( 'healomax_stress_assessment_options' )['hsapservices'];
    $hsapservices2 = get_option( 'healomax_stress_assessment_options' )['hsapservices2'];
    echo '<div style="padding-left:80px;"><br /><br /><h2>Results of your stress assessment</h2><br /></div>';
    echo '<div style="padding-left:80px;"> Name: ' . esc_html( $healomaxhsap_name ) . '<br /></div>';
    echo '<div style="padding-left:80px;"> Email: ' . sanitize_email( $healomaxhsap_email ) . '<br /></div>';
    echo ' <div style="padding-left:80px;">  Gender: ' . esc_html( $_POST['healomaxhsap_gender'] ) . '<br></div>';
    echo ' <div style="padding-left:80px;">  Profession: ' . esc_html( $_POST['healomaxhsap_profession'] ) . '<br></div>';
    echo ' <div style="padding-left:80px;">  Age: ' . esc_html( $_POST['healomaxhsap_age'] ) . '<br></div>';
    echo ' <div style="padding-left:80px;">  Location: ' . esc_html( $_POST['healomaxhsap_location'] ) . '<br></div>';
    echo ' <div style="padding-left:80px;">  Country: ' . esc_html( $_POST['healomaxhsap_country'] ) . '<br><br></div>';
    echo ' <div style="padding-left:80px;">  &#9889; As per your responses to the questions: 
    <b>Stress Level: is ' . esc_html( $hsapstress_status ) . '</b><br></div>';
    echo ' <div style="padding-left:80px;">  &#9889; Recommendation: <br></div>';
    echo ' <div style="padding-left:220px;">  &#9889; ' . esc_html( $hsaprecommendation ) . '<br></div>';
    echo ' <div style="padding-left:242px;">  ' .  esc_html( $hsaprecommendation2 ) . '<br></div>';
    echo '<div style="padding-left:80px;">   
            <b>Our Services:</b>
            <br> ' . esc_html( $hsapservices ) . '
            <br> ' . esc_html( $hsapservices2 ) . '
            <br><br>
          </div>';
    echo '<div style="padding-left:80px;">   
            <b>Contact us:</b>
            <br> ' . esc_html( $hsapcontact_details ) . '
            <br> ' . esc_html( $hsapcontact_details1 ) . '
            <br> ' . esc_html( $hsapcontact_details2 ) . '
            <br><br>
          </div>';
    echo ' <div style="padding-left:80px; "font-size:0.80em;">  <i>Disclaimer:</i> <br></div>';
    echo ' <div style="padding-left:80px; "font-size:0.70em;">
    The results of the stress assessment are intended for educational and informational<br>
    purposes only and should not be used as a substitute for professional advice. <br>
    If you have concerns about your stress levels or mental health, <br>
    it is important to seek help from a qualified healthcare professional.<br><br>
    </div>';
  }
}
add_action( 'init', 'healomax_stress_assessment_handler' );